### Function

# Gtk TreePath new_from_indices

deprecated: 4.10

#### Declaration [src]

    GtkTreePath*
    gtk_tree_path_new_from_indices (
      int first_index,
      ...
    )

#### Description [src]

Creates a new path with `first_index` and `varargs` as indices.

Deprecated since: 4.10

Please do not use it in newly written code.

This function is not directly available to language bindings.

The implementation of this function is provided by `()` in language bindings.

#### Parameters

`first_index`

  Type: `int`

  First integer.

`...`

  Type: ``

  List of integers terminated by -1.

#### Return value

Type: `GtkTreePath`

A newly created `GtkTreePath`.

The caller of the function takes ownership of the data, and is responsible for freeing it.